Skip to main content
POST
eleven_v4

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Unique key for safe retries. Supply this header or idempotency_key in the request body.

Maximum string length: 128

Body

application/json
model
enum<string>
required

Must be one of: eleven_v4.

Available options:
eleven_v4
prompt
string
required

Text to synthesize, up to 10,000 Unicode characters.

Minimum string length: 1
extends
object
required
idempotency_key
string

Unique key for safe retries. Supply this field or the Idempotency-Key header.

Maximum string length: 128

Response

Task accepted. A successful response returns code 0 and data.task_id; it does not mean generation has completed.

code
integer
Example:

0

msg
string
request_id
string
data
object